Bug 489173 - [EASYFIX] nfs-utils-lib : requires -devel packages due to pkgconfig dependencies
[EASYFIX] nfs-utils-lib : requires -devel packages due to pkgconfig dependencies
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: nfs-utils-lib (Show other bugs)
rawhide
All Linux
high Severity low
: ---
: ---
Assigned To: Steve Dickson
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11Blocker/F11FinalBlocker
  Show dependency treegraph
 
Reported: 2009-03-08 08:52 EDT by Michael Schwendt
Modified: 2009-04-15 14:23 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-15 14:23:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2009-03-08 08:52:32 EDT
Recent releases of RPM add automatic Requires for
dependencies found in pkgconfig .pc files.

This package now requires at least one -devel package.
Packaging-changes are necessary to get rid of this dependency
on -devel packages:

=> nfs-utils-lib-1.1.4-3.fc11.i586 (nfs-utils-lib-1.1.4-3.fc11.src.rpm)
    /usr/lib/pkgconfig/libnfsidmap.pc
    /usr/lib/pkgconfig/librpcsecgss.pc
    REQUIRES: libgssglue-devel
Comment 1 Kevin Kofler 2009-03-09 17:03:18 EDT
This drags in libgssglue-devel onto the live images (at least the KDE one, but I think others are affected too). Please fix this ASAP.
Comment 2 Warren Togami 2009-04-13 14:32:26 EDT
Steve?
Comment 3 Steve Dickson 2009-04-13 14:50:45 EDT
Fixed in nfs-utils-lib-1.1.4-5.fc11 and nfs-utils-lib-devel-1.1.4-5.fc11

Note You need to log in before you can comment on or make changes to this bug.